linux-backports-modules-hardy, adesso include i compat-wireless (e non solo)

Eseguendo i quotidiani aggiornamenti di Hardy, questa mattina ho avuto una piacevole sopresa:

Insieme all’aggiornamento al kernel 2.6.24.20.22 ho trovato anche quello del pacchetto linux-backports-modules-hardy, di cui ho già parlato poco tempo fa.

La novità non è solo nel numero di versione (che segue il kernel, ovviamente) ma anche di un consistente incremento dei moduli presenti !

Infatti, oltre ai moduli che erano già presenti, ovvero:

  • Intel iwl3945 e iwl4965 + relativi firmware
  • Ralink rt2×00 (rt2400pci, rt2500pci, rt2500usb, rt61pci, rt73usb)

Fanno la loro comparsa anche gli altri moduli del pacchetto compat-wireless, ovvero:

  • Broadcom b43 e b43legacy
  • Intel ipw2100 e ipw2200
  • Prism P54 PCI e USB
  • Atheros ath5k
  • Libertas
  • ZyDAS zd1211rw
  • adm8211
  • Realtck rtl8180 e rtl8187

Oltre a quest moduli wireless, troviamo anche aggiornamenti per:

  • Intel igb ed e1000e
  • uvcvideo (driver webcam)
  • Broadcomm bcm5974 (driver per il multi-touchpad del MacBook Air and Macbook Pro)

Se vi interessa lo changelog completo, lo trovate qui.

Tutti i possessori di questi chip (che sono il 90% dei chip wireless attualmente in commercio) sono dunque invitati a testare questo pacchetto pieno di aggiornamenti.

ATTENZIONE! LEGGERE GLI AGGIORNAMENTI IN BASSO!!

Se non ce l’avete ancora, basta abilitare il repository hardy-proposed e insallare il metapacchetto linux-backports-modules-hardy

Ancora una volta, un grazie ai MOTU 😉

AGGIORNAMENTO IMPORTATE:
Molti stanno riportando problemi con i nuovi moduli Intel e Ralink, compresi quelli nel kernel 2.6.24-20.
Attualmente dunque è consigliabile aspettare un futuro aggiornamento prima di installare questo pacchetto e continuare ad utilizzare il kernel 2.6.24-19

AGGIORNAMENTO DEL 21/08/2008
Tornando dalle vacanze ho letto con piacere che quelli di Ubuntu invece di andare al mare hanno provveduto in brevissimo tempo a risolvere il bug, fornendo una nuova versione del kernel nel repository “proposed”, taggata 2.6.24-21.25. Super efficienti, anche ad Agosto! 😉

A proposito Alessandro

Ingegnere delle Telecomunicazioni con propensione al web2.0 ed il pallino della tecnologia; toscano & casentinese, vivo a Firenze
  • davide

    Ciao Alexit! Seguo il tuo blog da un pò e voglio farti i complimenti per le guide. Come molti ho la wifi ralink sul laptop e fino al kernel 2.6.14.19 tutto ok grazie a te e ai backports (ho usato i driver compact-wireless nei 3 precedenti).Purtroppo ieri notte ho fatto update al kernel 2.6.24-20 coi relativi backports proposti ma sorpresa,la scheda non compare nemmeno, nè è va meglio coi driver compact-wireless aggiornati al 23 luglio!!E’ solo una mia sfiga?Nel frattempo dopo vari inutili smanettamenti sono tornato al precedente kernel, disinstallando in toto l’ultimissimo. Ovviamente la wifi col 2.6.24-19 va a meraviglia (con backports.)…però mi rode vista la velocità di boot dell’ultimo kernel! Se hai qualche cosnsiglio uso hardy heron su packard bell mz16.

  • elcamilo

    scusami, io non ho installato nessun linux-backports-modules, mai avuti, credo: eppure la mia penna wireless zyxel g-220, che usa il driver ZyDAS zd1211rw, ha sempre funzionato (da Feisty in poi) e la uso tutti i giorni. Quei driver non sono già nel kernel senza il pacchetto linux-backport…?

  • @davide: io ho esattamente il tuo stesso problema, infatti ora sono costretto a scaricarmi il vecchio kernel da windows 🙁

  • @davide, Riccardo e tutti quelli che hanno ralink
    Potete verificare che modulo viene caricato e in che versione, installando il nuovo pacchetto?
    modinfo rt2x00lib | grep version

    @elcamilo
    Si, il modulo è già presente nel kernel. Con questo pacchetto viene aggiornato… dunque potrebbe funzionare meglio. Provalo… in caso di problemi puoi comunque disinstallare questo pacchetto e tornare ad utilizzare la versione del kernel di default !

  • davide

    ok adesso provo…sto scaricando il nuovo kernel. Però con “modinfo rt2x00lib | grep version” non tova il modulo nel kernel 2.6.24-19….dovrebbe trovarlo col nuovo?X riccardo: ma hai cancellato il veccio kenel funzionante???sei 1 pazzo! io lo faccio solo dopo qlc settimana al max….ps x AleXit: non è che ti riferivi ai driver compact-wireless?ora non li ho installati sul kernel funzionante, ho i backports!

  • Giulio

    Stesso problema anche io, con una dongle D-Link DWL-G122 C1 che dovrebbe avere il chip rt2x00. Facendo modinfo rt2×00lib | grep version non trova niente, mentre con il kernel precedente 2.6.24-19 funziona tutto perfettamente…anche iwconfig e ifconfig non rilevano nulla…

  • Ho provato i nuovi backports con la mia chiavetta rt73usb, e nonostante i driver siano aggiornati alla versione 2.1.8, sembra CHE CI SIANO MOLTI PROBLEMI. Praticamente i moduli non si caricano e il log di sistema si riempe di messaggi “Unknown symbol”. In attesa che la situazione si stabilizzi ed esca un aggiornamento, forse è meglio tornare alla versione precedente del kernel.
    Ho segnalato la cosa su launchpad:
    https://bugs.launchpad.net/ubuntu/+source/linux-backports-modules-2.6.24/+bug/251314

  • davide

    ok prima avevo sbagliato il comando…Ecco il risultato col kernel 2.6.24-19 = version: 2.1.4
    srcversion: FAF1A59B57CAF2A376512F7

    mentre con il 2.6.24-20 = version: 2.1.8
    srcversion: 2CC6EA640292179E4BB444F

  • davide

    ah scusa ho letto ora il tuo nuovo commento alexit…vabbè aspettiamo la correzione del bug…intanto mi tengo il “vecchio” kernel. Complimenti ancora per tuo il blog

  • Giulio

    va ben…aspetteremo…ma è normale che a me con trovi niente nel kernel 2.6.24-20, cioè mi dice:

    modinfo: could not find module rt2×00lib

  • davide

    giulio hai sbaliato sicuramente a scrivere il comando come me prima…scrivi senza virgolette(non fare copia incolla xkè wordpress cambia alcuni caratteri..): “modinfo rt2x00lib | grep version”. Prova e vedrai che ti da il modulo caricato. Altrimenti: “lsmod” ti visualizza tutti i moduli.

  • per evitarsi problemi io non metto i proposed…al massimo installo da solo i compat-wireless…

  • davide

    @ugaciaka gli aggiornamenti proposed non sono mica pericolosi, cmq i compact-wireless non funizonano. Basta conservare il kernel precedente per qualche tempo e verificare che non ci siano problemi. In caso di problemi al boot pigi esc e selezioni il kernel funzionante!Ciao

  • Giulio

    @ davide

    ho scoperto il problema…era la x di rt2x00lib!!! ;)…Grazie…

  • Anch’io ho avuto dei problemi con l’aggiornamento, la scheda ethernet scompare. Esattamente questa

    03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)

    Fortuna che conservo sempre l’ultimo kernel funzionante e relativi moduli 😉

  • axr

    ciao anch’io ho lo stesso problema con una rt2500pci la quale va bene solo con in 2.0.14 che ho installato anche sul kernel 2.6.19, solo che sul nuove 2.6.20.22 anche installandoli non viene vista la scheda.
    qualcuno che ha la mia stessa scheda gli va bene con i driver del kernel 2.6.19 cioè i compat-wireless 2.1.4 ?
    a me non vanno bene e come detto ho reinstallato i vecchi…
    potete confermare anche voi la stessa cosa?
    ciao e grazie

  • davide

    @axr: Sì, ti posso confermare che sia i backports proposti nel kernel 2.6.24-20 sia i driver compact-wireless del 23 luglio 2008 (e i precedenti del 2007 usati sul kernel 2.6.24-19) non vanno. Insomma niente da fare. Ho la tua stessa scheda wifi. Il problema è stato seganlato già da AleXit su launchpad, contribute se siete iscritti al launchpad!!!! Segnalare bug di questo tipo fa accellerare la soluzione da parte dal team Ubuntu (e usufruire a noi del kernel + aggiornato ;-P).

  • Giulio

    Com’è possibile che installando network manager 0.7 la chiavetta abbia ricominciato a funzionare da sola?

  • jigen74

    vorrei segnalare che con l’aggiornamento dei backports-modules di oggi è tornato tutto a posto.
    ciao.

  • jigen74

    …dimenticavo: ho una RaLink RT2561/RT61 802.11g PCI e l’aggiornamento è linux-backports-modules-hardy 2.6.24.20.22.
    ciao.

  • axr

    ciao con i nuovi backports la scheda rt2500pci viene vista, mi dice che è connessa ma non navigo neacnhe installando i 2.0.14. non riesco a capire, con il kernel 2.6.24.19 invece tutto ok. uso wicd e non network manager. come posso fare?
    ciuao e grazie

  • Mmm…sembra proprio che dopo una sola settimana sia stato risolto il bug. Buon aggiornamento a tutti (mi raccomando scaricate i backports relativi al kernel 2.6.24-21 assieme allo stesso…!!!).W ubuntu ! ps @axr ho avuto anche io molti problemi con wicd a causa di sta maledetta scheda ralink, reinstalla scaricando dai packages di ubuntu nm-applet (va bene anche la versione 6). Un ringraziamento ancora ad AleXit

  • Ottimo… in poco tempo “quelli di Ubuntu” hanno risolto il bug… efficenti, come sempre.
    Ma in vacanza non ci vanno mai? 🙂

  • Ciao Alexit! purtroppo devo segnalare il solito bug per i backports del kernel 2.6.24-21 e i backports relativi con le Ralink…ma solo per il kernel di cui sopra a bassa latenza (kernel 2.6.24-21-rt). NInete di grave per il 99% degli ubuntuntani che infatti generalmente non lo utilizzano.

  • carlo

    vorrei segnalare che su ubuntu hardy 64 bit con i backports installati aggiornato a oggi,rimane un problema con rt73. con amule , dopo un pò, si interrompe il collegamento, e non è più possibile ripristinarlo se non riavviando la macchina.

  • Ciao, nella mia ubuntu + icewm la penna wifi della edimax (chipset ralink rt73) non da segni di vita con l’aggiornamento ai moduli 2.6.24-21.26

    Tutto a posto con i vecchi 2.6.19

  • errore mio avevo sbagliato ad aggiornare.. ora tutto a posto anche con i nuovi moduli..

  • marco

    scusate ragazzi, ho fatto gli aggiornamenti dell’ultimo kernel sul portatile di un mio amico con scheda Atheros, Wicd w driver Madwifi. Ora vede le diverse reti, ma non pinga più il router e non si collega più ad internet, nemmeno con il vecchio e funzionante kernel!

    Forse ho fatto dei casini installando delle parti di kernel che hanno generato dei conflitti (backports e restricted modules [ma che differenza c’è poi?])

    Sapete dirmi a grandi linee cosa posso fare?

  • Paolo

    Ciao!

    Io ho notato che col passaggio dal kernel 2.6.24-19 al 2.6.24-21 non mi va più la scheda rt2500pci; questo succede tanto con una configurazione tradizionale /etc/network/interfaces che con network-manager 0.7.

    Sospetto un problema di driver

    Avete idee?

    Paolo

  • Paolo

    PS – preciso che è un kernel da 64 bit

  • Pingback: linux-backports-modules-intrepid « AleXit Blog()

  • Pingback: Linux-backports-modules-intrepid()